I was totally forgot about this problem - until this morning, when I found in my mailbox a request to save someone's old Joomla 1.0 based site from disaster. I was thinking, that until now all servers where upgraded to PHP 5.3 and all Joomla 1.0 sites upgraded - or at least patched to work with the new PHP.

Obviously, I was wrong in both assumptions. So, for those of you who might need some quick help:

I collected in a zip file - attached - the files might need patching. Not all files are present in all distributions, so you don't need all of them. Where to put them?

Look at your site's frontend, the error messages are telling you the whole story.

So, locate the bad files (the ones producing errors) and replace them, one-by-one. Check the site's frontpage after each upload to see if the error is gone - and what other errors are remained, to know wich file to patch!

Happy patching!

And upgrade your Joomla site as soon as possible to latest Joomla!

0
0
0
s2smodern
Category: Joomla Troubleshooter